execute as @a[tag=!reg] at @s run function folder:reg
execute unless entity @e[tag=randomizer] run function zcbm:create_randomizer

#player stamina
execute as @a[scores={stamina=1..}] at @s run scoreboard players remove @s stamina 2
execute as @a[scores={stamina=2000..}] at @s run scoreboard players remove @s stamina 3
execute as @a[scores={stamina=3000..}] at @s run scoreboard players remove @s stamina 4
execute as @a[scores={stamina=1500..}] at @s run effect give @s minecraft:jump_boost 15 128 true
execute as @a[scores={stamina=2000..2999}] at @s run effect give @s minecraft:slowness 4 0 true
execute as @a[scores={stamina=3000..3999}] at @s run effect give @s minecraft:slowness 4 1 true
execute as @a[scores={stamina=4000..4999}] at @s run effect give @s minecraft:slowness 4 2 true
execute as @a[scores={stamina=5000..}] at @s run effect give @s minecraft:slowness 4 3 true
execute as @a[scores={stamina=5999..}] at @s run effect give @s minecraft:blindness 4 3 true
execute as @a[scores={stamina=5999..}] at @s run advancement grant @s only minecraft:stamina
execute as @a[scores={stamina=5999..}] at @s run recipe give @s crafting:lantern_ghast
#score=pos
execute as @a store result score @s x run data get entity @s Pos[0]
execute as @a store result score @s y run data get entity @s Pos[1]
execute as @a store result score @s z run data get entity @s Pos[2]

#chunk finder
execute as @a at @s run scoreboard players operation @s x /= chunk x
execute as @a at @s run scoreboard players operation @s x *= chunk x

execute as @a at @s run scoreboard players operation @s z /= chunk z
execute as @a at @s run scoreboard players operation @s z *= chunk z

execute as @a at @s run scoreboard players operation @s fx = @s x
execute as @a at @s run scoreboard players operation @s fz = @s z

execute as @a at @s run scoreboard players operation @s fy = @s y
execute as @a at @s run scoreboard players operation @s fy /= ch y
execute as @a at @s run scoreboard players operation @s fy *= ch y

#score=pos to genmap
execute as @e[tag=created] store result score @s x run data get entity @s Pos[0]
execute as @e[tag=created] store result score @s y run data get entity @s Pos[1]
execute as @e[tag=created] store result score @s z run data get entity @s Pos[2]

#fly to pos
execute as @e[tag=created] at @s if score @s x < @s fx run tp @s ~1 ~ ~
execute as @e[tag=created] at @s if score @s x > @s fx run tp @s ~-1 ~ ~
execute as @e[tag=created] at @s if score @s z < @s fz run tp @s ~ ~ ~1
execute as @e[tag=created] at @s if score @s z > @s fz run tp @s ~ ~ ~-1

#ACHIEVE
execute as @a[scores={y=0..15}] at @s if score @s fy < @s ly run advancement grant @s only minecraft:hab
execute as @a[scores={y=0..15}] at @s if score @s fy > @s ly run advancement grant @s only minecraft:hab

#lvl3
execute as @a[scores={y=11..16}] at @s if score @s fy < @s ly run advancement grant @s only minecraft:pipe
execute as @a[scores={y=11..16}] at @s if score @s fy > @s ly run advancement grant @s only minecraft:pipe
#lvl4
execute as @a[scores={y=17..29}] at @s if score @s fy < @s ly run advancement grant @s only minecraft:elec
execute as @a[scores={y=17..29}] at @s if score @s fy > @s ly run advancement grant @s only minecraft:elec
#lvl5
execute as @a[scores={y=30..35}] at @s if score @s fy < @s ly run advancement grant @s only minecraft:offi
execute as @a[scores={y=30..35}] at @s if score @s fy > @s ly run advancement grant @s only minecraft:offi
execute as @a[scores={y=30..35}] at @s if score @s fy < @s ly run advancement grant @s only minecraft:office
execute as @a[scores={y=30..35}] at @s if score @s fy > @s ly run advancement grant @s only minecraft:office

#
#   
# GENERATION   GENERATION  GENERATION   GENERATION  GENERATION   GENERATION
#   VVVVVV       VVVVVV      VVVVVV        VVVVVV      VVVVVV      VVVVVV

#generation
execute as @a[scores={y=0..7}] at @s if score @s fx < @s lx run function folder:gen
execute as @a[scores={y=0..7}] at @s if score @s fx > @s lx run function folder:gen
execute as @a[scores={y=0..7}] at @s if score @s fz < @s lz run function folder:gen
execute as @a[scores={y=0..7}] at @s if score @s fz > @s lz run function folder:gen
#lvl2
execute as @a[scores={y=8..15}] at @s if score @s fx < @s lx run function folder:lvl2
execute as @a[scores={y=8..15}] at @s if score @s fx > @s lx run function folder:lvl2
execute as @a[scores={y=8..15}] at @s if score @s fz < @s lz run function folder:lvl2
execute as @a[scores={y=8..15}] at @s if score @s fz > @s lz run function folder:lvl2

#lvl3
execute as @a[scores={y=16..23}] at @s if score @s fx < @s lx run function folder:lvl3
execute as @a[scores={y=16..23}] at @s if score @s fx > @s lx run function folder:lvl3
execute as @a[scores={y=16..23}] at @s if score @s fz < @s lz run function folder:lvl3
execute as @a[scores={y=16..23}] at @s if score @s fz > @s lz run function folder:lvl3

#lvl4
execute as @a[scores={y=24..31}] at @s if score @s fx < @s lx run function folder:lvl4
execute as @a[scores={y=24..31}] at @s if score @s fx > @s lx run function folder:lvl4
execute as @a[scores={y=24..31}] at @s if score @s fz < @s lz run function folder:lvl4
execute as @a[scores={y=24..31}] at @s if score @s fz > @s lz run function folder:lvl4

#lvl5
execute as @a[scores={y=32..40}] at @s if score @s fx < @s lx run function folder:lvl5
execute as @a[scores={y=32..40}] at @s if score @s fx > @s lx run function folder:lvl5
execute as @a[scores={y=32..40}] at @s if score @s fz < @s lz run function folder:lvl5
execute as @a[scores={y=32..40}] at @s if score @s fz > @s lz run function folder:lvl5

#lvl2
execute as @a[scores={y=0..15}] at @s if score @s fy < @s ly run function folder:lvl2
execute as @a[scores={y=0..15}] at @s if score @s fy > @s ly run function folder:lvl2
#lvl3
execute as @a[scores={y=8..16}] at @s if score @s fy < @s ly run function folder:lvl3
execute as @a[scores={y=8..16}] at @s if score @s fy > @s ly run function folder:lvl3
#lvl4
execute as @a[scores={y=17..29}] at @s if score @s fy < @s ly run function folder:lvl4
execute as @a[scores={y=17..29}] at @s if score @s fy > @s ly run function folder:lvl4
#lvl5
execute as @a[scores={y=30..35}] at @s if score @s fy < @s ly run function folder:lvl5
execute as @a[scores={y=30..35}] at @s if score @s fy > @s ly run function folder:lvl5


#level1
#переход на 2
execute as @e[tag=created,tag=genmap,scores={y=..1}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fx matches 218.. run function zcbm:droom
execute as @e[tag=created,tag=genmap,scores={y=..1}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fx matches ..-218 run function zcbm:droom
execute as @e[tag=created,tag=genmap,scores={y=..1}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fz matches 218.. run function zcbm:droom
execute as @e[tag=created,tag=genmap,scores={y=..1}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fz matches ..-218 run function zcbm:droom

execute as @e[tag=created,tag=genmap,scores={y=..1}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll
execute as @e[tag=created,tag=genmap,scores={y=..1}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll
execute as @e[tag=created,tag=genmap,scores={y=..1}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll
execute as @e[tag=created,tag=genmap,scores={y=..1}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll

#level2
#переход на 3
execute as @e[tag=created,tag=genmap,scores={y=8..15}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fx matches 318.. run function zcbm:droom2
execute as @e[tag=created,tag=genmap,scores={y=8..15}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fx matches ..-318 run function zcbm:droom2
execute as @e[tag=created,tag=genmap,scores={y=8..15}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fz matches 318.. run function zcbm:droom2
execute as @e[tag=created,tag=genmap,scores={y=8..15}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fz matches ..-318 run function zcbm:droom2

execute as @e[tag=created,tag=genmap,scores={y=8..15}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll2
execute as @e[tag=created,tag=genmap,scores={y=8..15}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll2
execute as @e[tag=created,tag=genmap,scores={y=8..15}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll2
execute as @e[tag=created,tag=genmap,scores={y=8..15}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll2

#level3
#переход на 4
execute as @e[tag=created,tag=genmap,scores={y=16..24}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fx matches 418.. run function zcbm:droom3
execute as @e[tag=created,tag=genmap,scores={y=16..24}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fx matches ..-418 run function zcbm:droom3
execute as @e[tag=created,tag=genmap,scores={y=16..24}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fz matches 418.. run function zcbm:droom3
execute as @e[tag=created,tag=genmap,scores={y=16..24}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fz matches ..-418 run function zcbm:droom3

execute as @e[tag=created,tag=genmap,scores={y=16..24}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll3
execute as @e[tag=created,tag=genmap,scores={y=16..24}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll3
execute as @e[tag=created,tag=genmap,scores={y=16..24}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll3
execute as @e[tag=created,tag=genmap,scores={y=16..24}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll3

#level4
#переход на 5
execute as @e[tag=created,tag=genmap,scores={y=25..31}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fx matches 518.. run function zcbm:droom4
execute as @e[tag=created,tag=genmap,scores={y=25..31}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fx matches ..-518 run function zcbm:droom4
execute as @e[tag=created,tag=genmap,scores={y=25..31}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fz matches 518.. run function zcbm:droom4
execute as @e[tag=created,tag=genmap,scores={y=25..31}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fz matches ..-518 run function zcbm:droom4

execute as @e[tag=created,tag=genmap,scores={y=25..31}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll4
execute as @e[tag=created,tag=genmap,scores={y=25..31}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll4
execute as @e[tag=created,tag=genmap,scores={y=25..31}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll4
execute as @e[tag=created,tag=genmap,scores={y=25..31}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll4

#level5
#переход на 6
execute as @e[tag=created,tag=genmap,scores={y=32..35}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fx matches 518.. run function zcbm:droom5
execute as @e[tag=created,tag=genmap,scores={y=32..35}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fx matches ..-518 run function zcbm:droom5
execute as @e[tag=created,tag=genmap,scores={y=32..35}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fz matches 518.. run function zcbm:droom5
execute as @e[tag=created,tag=genmap,scores={y=32..35}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz if score @s fz matches ..-518 run function zcbm:droom5

execute as @e[tag=created,tag=genmap,scores={y=32..35}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll5
execute as @e[tag=created,tag=genmap,scores={y=32..35}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll5
execute as @e[tag=created,tag=genmap,scores={y=32..35}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll5
execute as @e[tag=created,tag=genmap,scores={y=32..35}] at @s if block ~ ~ ~ air if score @s x = @s fx if score @s z = @s fz run function zcbm:scroll5

#kill genmap
execute as @e[tag=created,tag=genmap] at @s unless block ~ ~ ~ air run kill @s




#
#   ^^^^^        ^^^^^       ^^^^^        ^^^^^       ^^^^^        ^^^^^
# GENERATION   GENERATION  GENERATION   GENERATION  GENERATION   GENERATION
#







#mob
execute as @a[gamemode=!creative,gamemode=!spectator] at @s run scoreboard players add @s mob_timer 1
execute as @a[scores={mob_timer=1000..}] at @s run kill @e[tag=enemy,sort=nearest,limit=1]
execute as @a[scores={mob_timer=1000..}] at @s run tag @s add sumob
#sound
execute as @a[scores={mob_timer=1000..,y=0..7}] at @s run playsound minecraft:ambient.basalt_deltas.loop ambient @s ~ ~ ~ 1 0
execute as @a[scores={mob_timer=1000..,y=8..15}] at @s run playsound minecraft:ambient.crimson_forest.loop ambient @s ~ ~ ~ 1 0
execute as @a[scores={mob_timer=1000..,y=16..21}] at @s run playsound minecraft:ambient.nether_wastes.loop ambient @s ~ ~ ~ 1 0
execute as @a[scores={mob_timer=1000..,y=22..31}] at @s run playsound minecraft:ambient.soul_sand_valley.loop ambient @s ~ ~ ~ 1 0
execute as @a[scores={mob_timer=1000..,y=32..40}] at @s run playsound minecraft:ambient.warped_forest.loop ambient @s ~ ~ ~ 1 0

#achieve
execute as @a[scores={mob_timer=1000..,y=0..7,fx=228..},tag=sumob] at @s run advancement grant @s only minecraft:dark
execute as @a[scores={mob_timer=1000..,y=0..7,fx=..-228},tag=sumob] at @s run advancement grant @s only minecraft:dark
execute as @a[scores={mob_timer=1000..,y=0..7,fz=..-228},tag=sumob] at @s run advancement grant @s only minecraft:dark
execute as @a[scores={mob_timer=1000..,y=0..7,fz=228..},tag=sumob] at @s run advancement grant @s only minecraft:dark



#scream
execute as @a[scores={mob_timer=1000..,y=0..7,fx=228..},tag=sumob] at @s run summon armor_stand ~ 3 ~-32 {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["scream1","enemy"]}
execute as @a[scores={mob_timer=1000..,y=0..7,fx=228..},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=0..7,fx=..-228},tag=sumob] at @s run summon armor_stand ~32 3 ~ {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["scream1","enemy"]}
execute as @a[scores={mob_timer=1000..,y=0..7,fx=..-228},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=0..7,fz=228..},tag=sumob] at @s run summon armor_stand ~ 3 ~32 {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["scream1","enemy"]}
execute as @a[scores={mob_timer=1000..,y=0..7,fz=228..},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=0..7,fz=..-228},tag=sumob] at @s run summon armor_stand ~-32 3 ~ {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["scream1","enemy"]}
execute as @a[scores={mob_timer=1000..,y=0..7,fz=..-228},tag=sumob] at @s run tag @s remove sumob
#eye
execute as @a[scores={mob_timer=1000..,y=8..15,fx=256..},tag=sumob] at @s run summon armor_stand ~ 9 ~32 {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["eye","enemy"]}
execute as @a[scores={mob_timer=1000..,y=8..15,fx=256..},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=8..15,fx=..-256},tag=sumob] at @s run summon armor_stand ~32 9 ~ {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["eye","enemy"]}
execute as @a[scores={mob_timer=1000..,y=8..15,fx=..-256},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=8..15,fz=256..},tag=sumob] at @s run summon armor_stand ~-32 9 ~ {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["eye","enemy"]}
execute as @a[scores={mob_timer=1000..,y=8..15,fz=256..},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=8..15,fz=..-256},tag=sumob] at @s run summon armor_stand ~ 9 ~-32 {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["eye","enemy"]}
execute as @a[scores={mob_timer=1000..,y=8..15,fz=..-256},tag=sumob] at @s run tag @s remove sumob
#soul
execute as @a[scores={mob_timer=1000..,y=16..21,fx=156..},tag=sumob] at @s run summon armor_stand ~ 16 ~32 {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["soul","enemy"]}
execute as @a[scores={mob_timer=1000..,y=16..21,fx=156..},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=16..21,fx=..-156},tag=sumob] at @s run summon armor_stand ~32 16 ~ {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["soul","enemy"]}
execute as @a[scores={mob_timer=1000..,y=16..21,fx=..-156},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=16..21,fz=156..},tag=sumob] at @s run summon armor_stand ~-32 16 ~ {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["soul","enemy"]}
execute as @a[scores={mob_timer=1000..,y=16..21,fz=156..},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=16..21,fz=..-156},tag=sumob] at @s run summon armor_stand ~ 16 ~-32 {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["soul","enemy"]}
execute as @a[scores={mob_timer=1000..,y=16..21,fz=..-156},tag=sumob] at @s run tag @s remove sumob
#aperson
execute as @a[scores={mob_timer=1000..,y=25..31,fx=126..},tag=sumob] at @s run summon armor_stand ~ 26 ~32 {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["aperson","enemy"]}
execute as @a[scores={mob_timer=1000..,y=25..31,fx=126..},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=25..31,fx=..-126},tag=sumob] at @s run summon armor_stand ~32 26 ~ {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["aperson","enemy"]}
execute as @a[scores={mob_timer=1000..,y=25..31,fx=..-126},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=25..31,fz=126..},tag=sumob] at @s run summon armor_stand ~-32 26 ~ {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["aperson","enemy"]}
execute as @a[scores={mob_timer=1000..,y=25..31,fz=126..},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=25..31,fz=..-126},tag=sumob] at @s run summon armor_stand ~ 26 ~-32 {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["aperson","enemy"]}
execute as @a[scores={mob_timer=1000..,y=25..31,fz=..-126},tag=sumob] at @s run tag @s remove sumob
#jeff
execute as @a[scores={mob_timer=1000..,y=32..39,fx=226..},tag=sumob] at @s run summon armor_stand ~ 34 ~32 {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["jeff","enemy"]}
execute as @a[scores={mob_timer=1000..,y=32..39,fx=226..},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=32..39,fx=..-226},tag=sumob] at @s run summon armor_stand ~32 34 ~ {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["jeff","enemy"]}
execute as @a[scores={mob_timer=1000..,y=32..39,fx=..-226},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=32..39,fz=226..},tag=sumob] at @s run summon armor_stand ~-32 34 ~ {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["jeff","enemy"]}
execute as @a[scores={mob_timer=1000..,y=32..39,fz=226..},tag=sumob] at @s run tag @s remove sumob
execute as @a[scores={mob_timer=1000..,y=32..39,fz=..-226},tag=sumob] at @s run summon armor_stand ~ 34 ~-32 {Invisible:1b,Invulnerable:1b,PersistenceRequired:1b,NoBasePlate:1b,NoGravity:1b,Small:1b,Marker:1b,Tags:["jeff","enemy"]}
execute as @a[scores={mob_timer=1000..,y=32..39,fz=..-226},tag=sumob] at @s run tag @s remove sumob




#animation tick
execute as @e[tag=enemy] at @s run scoreboard players add @s mob 1

execute as @e[tag=scream1,scores={mob=2..}] run execute at @s run execute facing entity @p feet run tp @s ~ ~ ~ ~ ~
execute as @e[tag=scream1,scores={mob=2..}] at @s positioned ~ ~ ~ run function folder:mob

execute as @e[tag=eye,scores={mob=2..}] run execute at @s run execute facing entity @p feet run tp @s ~ ~ ~ ~ ~
execute as @e[tag=eye,scores={mob=2..}] at @s positioned ~ ~ ~ run function folder:eye

execute as @e[tag=soul,scores={mob=2..}] run execute at @s run execute facing entity @p feet run tp @s ~ ~ ~ ~ ~
execute as @e[tag=soul,scores={mob=2..}] at @s positioned ~ ~-1.3 ~ run function folder:soul

execute as @e[tag=aperson,scores={mob=2..}] run execute at @s run execute facing entity @p feet run tp @s ~ ~ ~ ~ ~
execute as @e[tag=aperson,scores={mob=2..}] at @s positioned ~ ~ ~ run function folder:aperson

execute as @e[tag=jeff,scores={mob=2..}] run execute at @s run execute facing entity @p feet run tp @s ~ ~ ~ ~ ~
execute as @e[tag=jeff,scores={mob=2..}] at @s positioned ~ ~ ~ run function folder:jeff

execute as @e[tag=enemy,scores={mob=4..}] at @s run scoreboard players set @s mob 0
execute as @a[scores={mob_timer=1000..}] at @s run scoreboard players set @s mob_timer 0


#if look at mob
execute as @a at @s anchored eyes facing entity @e[sort=nearest,limit=1,tag=eye] eyes anchored feet positioned ^ ^ ^1 rotated as @s positioned ^ ^ ^-1 if entity @s[distance=..0.3] run execute as @e[tag=eye,limit=1,sort=nearest] at @s run tp @s ^ ^ ^-0.165
execute as @a at @s anchored eyes facing entity @e[sort=nearest,limit=1,tag=eye] eyes anchored feet positioned ^ ^ ^1 rotated as @s positioned ^ ^ ^-1 if entity @s[distance=..0.3] run advancement grant @s only minecraft:eye
#if look at mob
execute as @a at @s anchored eyes facing entity @e[sort=nearest,limit=1,tag=soul] eyes anchored feet positioned ^ ^ ^1 rotated as @s positioned ^ ^ ^-1 if entity @s[distance=..0.3] run execute as @e[tag=soul,limit=1,sort=nearest] at @s run tp @s ^ ^ ^0.195
execute as @a at @s anchored eyes facing entity @e[sort=nearest,limit=1,tag=soul] eyes anchored feet positioned ^ ^ ^1 rotated as @s positioned ^ ^ ^-1 if entity @s[distance=..0.3] run advancement grant @s only minecraft:soul
#if in the dark
execute as @a if predicate folder:if_dark_level0_3 at @s run execute as @e[tag=jeff,distance=..42] at @s run tp @s ^ ^ ^0.20
execute as @a if predicate folder:if_dark_level4_15 at @s if entity @e[tag=jeff,distance=..5] at @s run advancement grant @s only minecraft:jeff

#achieve person
execute as @a[scores={run=..0,walk=..0}] at @s if entity @e[tag=aperson,distance=..5] run advancement grant @s only minecraft:person

#if in distance
execute as @a[scores={run=1..}] at @s run execute as @e[tag=aperson,distance=..42] at @s run tp @s ^ ^ ^0.40
execute as @a[scores={walk=1..}] at @s run execute as @e[tag=aperson,distance=..42] at @s run tp @s ^ ^ ^0.30
#enemy
execute as @e[tag=enemy] at @s run tp @s ^ ^ ^0.17
execute as @e[tag=soul] at @s run tp @s ^ ^ ^-0.09
execute as @e[tag=aperson] at @s run tp @s ^ ^ ^-0.16
execute as @e[tag=jeff] at @s run tp @s ^ ^ ^-0.10
execute as @a at @s run execute as @e[tag=scream1,distance=..24] at @s run playsound minecraft:entity.ghast.hurt ambient @a ~ ~ ~ 1 0
execute as @a at @s run execute as @e[tag=eye,distance=..24] at @s run playsound minecraft:entity.wither_skeleton.ambient ambient @a ~ ~ ~ 0.3 0
execute as @a at @s run execute as @e[tag=soul,distance=..24] at @s run playsound minecraft:entity.ghast.warn ambient @a ~ ~ ~ 0.1 0
execute as @a at @s run execute as @e[tag=aperson,distance=..24] at @s run playsound minecraft:block.large_amethyst_bud.place ambient @a ~ ~ ~ 0.2 0
execute as @a at @s run execute as @e[tag=jeff,distance=..24] at @s run playsound minecraft:entity.dolphin.hurt ambient @a ~ ~ ~ 0.1 0
execute as @e[tag=enemy] at @s run execute as @a[distance=..5] at @s run effect give @s minecraft:nausea 5 10 true
execute as @e[tag=enemy] at @s run execute as @a[distance=..4] at @s run effect give @s minecraft:darkness 5 10 true
execute as @e[tag=enemy] at @s run execute as @a[distance=..1] at @s run tag @s add kill
execute as @a at @s run execute as @e[tag=enemy,distance=..1] at @s run kill @s

#player kill mob
execute as @e[tag=scream1] at @s run execute as @a[nbt={SelectedItem:{id:"minecraft:soul_lantern"}},distance=..6] at @s run tag @s add killmob
execute as @a[nbt={SelectedItem:{id:"minecraft:soul_lantern"}}] at @s run execute as @e[tag=scream1,distance=..6] at @s run kill @s
execute as @a[tag=killmob] at @s run particle minecraft:flash ^ ^2 ^1 0 0 0 0 1 normal
execute as @a[tag=killmob] at @s run playsound minecraft:entity.allay.item_given ambient @a ~ ~ ~ 1 0
execute as @a[tag=killmob] at @s run give @s minecraft:ghast_tear
execute as @a[tag=killmob] at @s run advancement grant @s only minecraft:killed_enemy
execute as @a[tag=killmob] at @s run clear @s minecraft:soul_lantern 1
execute as @a[tag=killmob] at @s run tag @s remove killmob

#mob kill player
execute as @a[tag=kill] at @s run kill @s
execute as @a[tag=kill] at @s run scoreboard players set @s stamina 0
execute as @a[tag=kill] at @s run tag @s remove kill



execute as @a[scores={run=1..}] at @s run scoreboard players set @s run 0
execute as @a[scores={walk=1..}] at @s run scoreboard players set @s walk 0